import { ComponentID } from '@teambit/component-id';
declare type CompDirs = {
    id: ComponentID;
    /**
     * absolute path to the component dir
     */
    dir: string;
};
/**
 * create dummy components, add, link and compile them.
 * if `numOfComponents` is more than one, the components will depend on each other. by default, it's one.
 */
export declare function mockComponents(workspacePath: string, { numOfComponents, additionalStr }?: {
    numOfComponents?: number;
    additionalStr?: string;
}): Promise<CompDirs[]>;
/**
 * make the mocked components modified by appending the `additionalStr` to the component files
 */
export declare function modifyMockedComponents(workspacePath: string, additionalStr?: string, { numOfComponents }?: {
    numOfComponents?: number;
}): Promise<void>;
export {};
